Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 645176 - sys-fs/zfs-9999 fails to install dracut module correctly with SYMLINK_LIB=no
Summary: sys-fs/zfs-9999 fails to install dracut module correctly with SYMLINK_LIB=no
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Richard Yao
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: no-symlink-lib
  Show dependency tree
 
Reported: 2018-01-20 20:18 UTC by f5200556
Modified: 2018-03-08 16:21 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description f5200556 2018-01-20 20:18:51 UTC
On the new 17.1 profile sys-fs/zfs-9999 installs it's dracut module to "/usr/lib64/dracut/modules.d/" while dracut looks for modules under "/usr/lib/dracut/modules.d/"
Comment 1 Georgy Yakovlev gentoo-dev 2018-03-06 09:10:12 UTC
same on 0.7.6

/usr/lib64/dracut/modules.d # ls
02zfsexpandknowledge  90zfs
Comment 2 Larry the Git Cow gentoo-dev 2018-03-08 16:21:30 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=20c8e69ec3b25a431ee1c0e8cf3d1f0274dbffec

commit 20c8e69ec3b25a431ee1c0e8cf3d1f0274dbffec
Author:     Georgy Yakovlev <ya@sysdump.net>
AuthorDate: 2018-03-08 02:12:59 +0000
Commit:     Matthew Thode <prometheanfire@gentoo.org>
CommitDate: 2018-03-08 16:20:40 +0000

    sys-fs/zfs: fix dracut module path
    
    zfs should use /usr/lib/dracut to install dracut modules.
    dracut ebuild defines:
            local dracutlibdir="usr/lib/dracut"
    
    with /usr/lib64 path on SYMLINK_LIB=no systems
    dracut fails to pick up zfs modules
    and generates an unbootable initramfs
    
    Closes: https://bugs.gentoo.org/645176
    Package-Manager: Portage-2.3.24, Repoman-2.3.6
    Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>

 sys-fs/zfs/zfs-0.6.5.11-r2.ebuild | 201 ++++++++++++++++++++++++++++++++
 sys-fs/zfs/zfs-0.6.5.4-r4.ebuild  | 233 ++++++++++++++++++++++++++++++++++++++
 sys-fs/zfs/zfs-0.7.5-r2.ebuild    | 202 +++++++++++++++++++++++++++++++++
 sys-fs/zfs/zfs-0.7.6-r1.ebuild    | 202 +++++++++++++++++++++++++++++++++
 sys-fs/zfs/zfs-0.7.9999.ebuild    |   2 +-
 sys-fs/zfs/zfs-9999.ebuild        |   2 +-
 6 files changed, 840 insertions(+), 2 deletions(-)